Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create support company

POST/workspaces/{organizationId}/support/companies
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
namestringrequired
min length 1
domainstring
externalIdstring
externalSourcestring
Responses
201

Company created

companyobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
namestringrequired
domainstring | nullrequired
externalIdstring | nullrequired
externalSourcestringrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/support/companies' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "domain": "string",
  "externalId": "string",
  "externalSource": "string"
}'
Response
{
  "company": {
    "id": "string",
    "organizationId": "string",
    "name": "string",
    "domain": "string",
    "externalId": "string",
    "externalSource": "string",
    "createdAt": "string",
    "updatedAt": "string"
  }
}

Was this page helpful?